/**
 * Created on Feb 2, 2005 - Mar 17, 2005
 * Aug 21, 2007 - Aug 24, 2007	ws:	add threadsafety Kommentar
 * 									add reserveFlashScreen(b)
 */
package de.desy.mst.libs.framework.mstapp.flash;
/**
 * The receiver interface for any kind of Progress, as defined in Progress
 * @author schuette
 * @version 1.0.0
 */

public interface IProgress {
	/**darf von jedem beliebigen Thread aufgerufen werden*/
	public void onProgress(Progress progress);

	/**
	 * darf von jedem beliebigen Thread aufgerufen werden<br>
	 * @param b == true:  genau eine Reservierung<br>
	 * 		  b == false: gibt genau eine Reservierung frei<br>
	 *        Muss erst mit genau einem true und dann mit genau einem false 
	 *        pro Reservierung aufgerufen werden. Neue Reservierungen duerfen
	 *        nur im Zustand != 0 gemacht werden, also rechtzeitig.
	 * @return Zahl der offenen Reservationen
	 */
	public int reserveFlashScreen(boolean b);
}
