/**
 * ws:	Mar 27, 2007 - Mar 29, 2007 creation from scratch
 * ws:	Aug 29, 2007 - Sep  4, 2007 pp -> public fuer PfadeIni, cosmetics
 */
package de.desy.mst.libs.framework.mstapp.hilfe;

import de.desy.mst.libs.framework.mstapp.ApplicationInfo;

/**
 * Pfad zum Webstart, JavaDoc und andere Andreas Labudda Style
 * Web Verzeichnisse.
 *
 * @author ws
 * version 1.0.0
 */
public abstract class AHilfePfadeAL extends AHilfePfade {
	public AHilfePfadeAL(final ApplicationInfo applicationInfo) {
		super(applicationInfo);
	}
//==============================================================================
	@Override public String getSubsystemVerzeichnis(final String accelerator, final String subSystem) {
		return getSubSystemRoot() +  accelerator + SEP +  subSystem + SEP;
	}

	@Override public String getDateiPfad(final String accelerator, final String subSystem, final String appName) {
		final String string = getDateiName(appName);
		//http://mcalaunch.desy.de/webapps/Released/desy2/elektronenstrahldiagnose/D2Orbit.jnlp
		return getSubsystemVerzeichnis(accelerator, subSystem) + string;
	}
	public abstract String getDateiName(final String appName) ;
	public abstract String getSubSystemRoot();
}