/**
 * ws:	Apr 18, 2007 - Apr 19, 2007 creation from scratch
 */
package de.desy.mst.libs.framework.mstapp.ini;

import de.desy.mst.libs.framework.mstapp.preferences.IPrefContainer;
import de.desy.mst.libs.framework.mstapp.preferences.IPreferences;
import de.desy.mst.libs.framework.mstapp.preferences.helper.APrefClientPanelEinfach;
import de.desy.mst.libs.framework.mstapp.preferences.helper.APreferences;

/**
 * Handling von
 * <li> System 		 Inidateien
 * <li> Applikations Inidateien
 * <li> User 		 Inidateien
 * 
 * @author ws
 * version 1.0.0
 */
public class PrefIniDateien extends APreferences {
	static final String BASE_KEYWORD = "Initialisierung";
	private final IniFileIOMgr iniFileIOMgr;

//=============================================================================
	public PrefIniDateien(IPreferences parent, IniFileIOMgr iniFileIOMgr){
//		super(title, parent, keyWords)
		super("Initialisierung " + iniFileIOMgr.getName()			//title
			, parent											//parent
			, new String[]{BASE_KEYWORD, iniFileIOMgr.getName()});	//keyWords
		this.iniFileIOMgr = iniFileIOMgr;
	}
//=============================================================================
	/* (non-Javadoc)
	 * @see de.desy.mst.libs.framework.mstapp.preferences.helper.APreferences#createPrefClientPanel(de.desy.mst.libs.framework.mstapp.preferences.IPrefContainer)
	 */
	@Override public APrefClientPanelEinfach createPrefClientPanel(IPrefContainer prefContainer) {
		return new PrefIniDateienPanel(prefContainer, this.iniFileIOMgr); 
	}
}
