/**
 * 	May 28, 2008 - May 28, 2008	ws:	extracted from LoggingTableDisplay
 * 	Jun 25, 2008 - Jun 25, 2008	ws:	added isDispenseFilter(..), x: Beschreib.
 */
package de.desy.mst.libs.framework.mstapp.logging.gui;

import javax.swing.RowFilter.Entry;
import javax.swing.table.TableModel;

/**
 * Filter und aeusserster Container fuer das LoggingTableDisplay
 * @author ws
 * @version 1.0.0
 */
class HauptFilter extends AndOfFieldsFilter {
	private boolean dispenseFilter = false;
//=============================================================================
	/* (non-Javadoc)
	 * @see de.desy.mst.libs.framework.mstapp.logging.gui.AndOfFieldsFilter#include(int)
	 */
	@Override public boolean include(int row) {
		return !filtert() || super.include(row);
	}

	/* (non-Javadoc)
	 * @see de.desy.mst.libs.framework.mstapp.logging.gui.AndOfFieldsFilter#include(javax.swing.RowFilter.Entry)
	 */
	@Override public boolean include(Entry<? extends TableModel, ? extends Integer> entry) {
		return !filtert() || super.include(entry);
	}

	/* (non-Javadoc)
	 * @see de.desy.mst.libs.framework.mstapp.logging.gui.AndOfFieldsFilter#filtert()
	 */
	@Override public boolean filtert() {return !this.dispenseFilter && koennteFiltern();}

	/* (non-Javadoc)
	 * @see de.desy.mst.libs.framework.mstapp.logging.gui.AndOfFieldsFilter#getBeschreibung()
	 */
	@Override public String getBeschreibung() {
		final boolean enforce = isDispenseFilter() && koennteFiltern();
		return (enforce)
			 ? "abgeschaltet, wre: " + super.getBeschreibung(enforce)
			 : super.getBeschreibung(enforce);
	}
//=============================================================================
	/**wenn man dispense Filter einschaltet*/
	public boolean koennteFiltern()	{return super.filtert();}
	public void setDispenseFilter(boolean dispenseFilter) {
		this.dispenseFilter = dispenseFilter;
	}
	public boolean isDispenseFilter() {return this.dispenseFilter;}
}
