/*
 * Created on May 2, 2005 - Jun 16, 2005
 *
 */
package de.desy.mst.libs.framework.mstapp.messages;

/**
 * Fuer das weiterleiten einfachster Nachrichten, die zwar wichtig sein
 * koennten aber nicht muessen.
 * @author schuette
 * @version 1.0.0
 */
public interface ISetMessage {
    /**
     * Fuer das weiterleiten wichtiger Nachrichten an den Benutzer ohne einen
     * MessageMgr aufzumachen. <br>
     * Typisches Beispiel: No IniFile <br>
     * <li>Dies kann ok sein, dann sollte man den Benutzer mit der Nachricht in
     * seinem Fluss nicht unterbrechen.
     * <li>Dies kann aber auch toetlich fuer die Anwendung sein, dann sollte es
     * zumindest sichtbar sein.
     * @param message
     * @throws NullPointerException
     */
    public void setMessage(Message message);
}
