package de.desy.mst.libs.framework.mstapp.preferences;

public interface IPrefManager {

	/** Registrierte Klassen, die IPreferences implementiert haben, werden in 
	 *  PrefFrame im Tree und als Titel angezeigt.
	 */
	public void register(final IPreferences preferences);
	
	/** nur ntig bei vorbergehender Konfiguration */
	public void deRegister(final IPreferences preferences);
	
	/** 
	 * Zeigt PreferencesFrame mit PrefGeneral als Startpunkt */
	public void showPreferencesFrame();
	
	/**
	 * Zeigt den Preferences Frame mit preferences als Startpunkt
	 * (falls preferences registriert ist).
	 */
	public void showPreferencesFrame(final IPreferences preferences);
	
}
