/**
 * Oct 05, 2006 - Oct 06, 2006	ws:	created from scratch
 * Oct 20, 2006 - Oct 23, 2006	ws:	XMLDecoder kann varArgs nicht also einzelne
 *	Feb 15, 2008 - Feb 15, 2008 ws: added "@Override"es
 */
package de.desy.mst.libs.framework.mstapp.tabellendaten.generics;

/**
 * Generisches Entry.<br>
 * Der Long Schluessel getKey() ist klassenweit autogeneriert und gehoert nicht
 * zu den Daten der Klasse.<br>
 * Die Sortierfolge ist die Erzeugungsfolge der Objekte.<br>
 * Die Daten sind vollstaendig und koenne mit getParameter(0 basierten Index)
 * abgefragt werden.<br>
 * Konstruktoren fuer MIN_ANZAHL_UNTERSTUETZTE_SPALTEN bis
 * MAX_ANZAHL_UNTERSTUETZTE_SPALTEN Objecte (entspricht Spalten) stehen zur
 * Verfuegung. (optionale Parameter wird von dem XMLDecoder nicht
 * unterstuetzt).
 *  
 * @author ws
 */
public class GEntry extends GEntryImpl {
	public  static final int MIN_ANZAHL_UNTERSTUETZTE_SPALTEN =  2;
	public  static final int MAX_ANZAHL_UNTERSTUETZTE_SPALTEN = 51;
//=============================================================================
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38,  Object o39,  Object o40,  Object o41,  Object o42,  Object o43,  Object o44,  Object o45,  Object o46,  Object o47,  Object o48,  Object o49,  Object o50){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38, o39, o40, o41, o42, o43, o44, o45, o46, o47, o48, o49, o50);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38,  Object o39,  Object o40,  Object o41,  Object o42,  Object o43,  Object o44,  Object o45,  Object o46,  Object o47,  Object o48,  Object o49){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38, o39, o40, o41, o42, o43, o44, o45, o46, o47, o48, o49);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38,  Object o39,  Object o40,  Object o41,  Object o42,  Object o43,  Object o44,  Object o45,  Object o46,  Object o47,  Object o48){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38, o39, o40, o41, o42, o43, o44, o45, o46, o47, o48);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38,  Object o39,  Object o40,  Object o41,  Object o42,  Object o43,  Object o44,  Object o45,  Object o46,  Object o47){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38, o39, o40, o41, o42, o43, o44, o45, o46, o47);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38,  Object o39,  Object o40,  Object o41,  Object o42,  Object o43,  Object o44,  Object o45,  Object o46){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38, o39, o40, o41, o42, o43, o44, o45, o46);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38,  Object o39,  Object o40,  Object o41,  Object o42,  Object o43,  Object o44,  Object o45){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38, o39, o40, o41, o42, o43, o44, o45);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38,  Object o39,  Object o40,  Object o41,  Object o42,  Object o43,  Object o44){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38, o39, o40, o41, o42, o43, o44);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38,  Object o39,  Object o40,  Object o41,  Object o42,  Object o43){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38, o39, o40, o41, o42, o43);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38,  Object o39,  Object o40,  Object o41,  Object o42){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38, o39, o40, o41, o42);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38,  Object o39,  Object o40,  Object o41){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38, o39, o40, o41);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38,  Object o39,  Object o40){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38, o39, o40);
	}

	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38,  Object o39){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38, o39);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37,  Object o38){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37, o38);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36,  Object o37){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36, o37);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35,  Object o36){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35, o36);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34,  Object o35){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34, o35);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33,  Object o34){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33, o34);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32,  Object o33){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32, o33);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31,  Object o32){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31, o32);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30,  Object o31){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30, o31);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29,  Object o30){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29, o30);
	}
	
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28,  Object o29){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28, o29);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27,  Object o28){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27, o28);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26,  Object o27){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26, o27);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25,  Object o26){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25, o26);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24,  Object o25){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24, o25);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23,  Object o24){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23, o24);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22,  Object o23){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22, o23);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21,  Object o22){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21, o22);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20,  Object o21){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20, o21);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19,  Object o20){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19, o20);
	}

	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18,  Object o19){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18, o19);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17,  Object o18){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17, o18);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16,  Object o17){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16, o17);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15,  Object o16){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15, o16);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14,  Object o15){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14, o15);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13,  Object o14){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13, o14);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12,  Object o13){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12, o13);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11,  Object o12){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11, o12);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10,  Object o11){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10, o11);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9,  Object o10){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9, o10);
	}

	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8,  Object o9){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8, o9);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7,  Object o8){
		super(o0, o1, o2, o3, o4, o5, o6, o7, o8);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6,  Object o7){
		super(o0, o1, o2, o3, o4, o5, o6, o7);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5,  Object o6){
		super(o0, o1, o2, o3, o4, o5, o6);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4,  Object o5){
		super(o0, o1, o2, o3, o4, o5);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3,  Object o4){
		super(o0, o1, o2, o3, o4);
	}
	public GEntry(Object o0,  Object o1,  Object o2,  Object o3){
		super(o0, o1, o2, o3);
	}
	public GEntry(Object o0,  Object o1,  Object o2){
		super(o0, o1, o2);
	}
	public GEntry(Object o0,  Object o1){
		super(o0, o1);
	}

//=============================================================================
	/**
	 * @param index 0 based Index der Parameter (Java Welt)
	 * @return	der entsprechende Index oder null - nie eine Exception
	 */
	@Override public Object getParameter(final int index){
		return super.getParameter(index);
	}
	@Override public int getMaxIndex(){
		return super.getMaxIndex();
	}
//=============================================================================
//=============================================================================
}
