/**
 * 
 */
package de.desy.mst.libs.ser.launcher.gui;

/**
 * @author labudda
 *
 */
public interface IMainFrm {

	/**
	 * Fuegt den Text zum Info-Fenster hinzu.
	 * 
	 * @param Text der String der angezeigt werden soll
	 */
	public abstract void appendText(final String Text);

	/**
	 * Fuegt den Text im Fehlerfall zum Info-Fenster hinzu.
	 * 
	 * @param ErrorText der String der angezeigt werden soll
	 */
	public abstract void appendError(final String ErrorText);

	/**
	 * Wartet eine bestimmte Zeit und schliesst dann das Fenster und die Anwendung.
	 */
	public abstract void waitAndClose();
	/**
	 * Wartet eine bestimmte Zeit und schliesst dann das Fenster 
	 * und die Anwendung mit dem definierten ExitCode.
	 * @param ExitCode as value of de.desy.mst.libs.ser.launcher.Launcher.EError
	 */
	public abstract void waitAndClose(final int ExitCode);

}