/**
 * File: IEDataType.java
 * Date: Dec 16, 2014
 */
package de.desy.mst.libs.accelerator;

/**
 * Interface which represent the data type as a class representative.
 * 
 * @author <a href="mailto:marcus.walla(at)desy.de">walla</a>
 * @version $Id: IEDataType.java 63635 2014-12-16 12:01:59Z walla $
 */
public interface IEDataType 
{
	/**
	 * Returns the representative class type.
	 * @return Class.
	 */
	public abstract Class<?> getType();
}
/* end of file */