/*
 * Created on 	Jan 11, 2005 - Jun 17 , 2005
 * 	Oct 25, 2005 - Oct 27, 2005	new logging system
 * 	Dec 07, 2005				onExit private -> final public
 * 	Dec 15, 2005 - Dec 22, 2005 DateFormat to standard MstDateFormat (Impl. von
 * 								KH kopiert) Maschine in Logbuch Anzeigen
 * 	Jan 11, 2006 - Jan 11, 2006	Log Ende von Initialize um Class Creation Fehler besser eingrenzen zu koennen
 * 	Jul 18, 2006 - ...			ws: Added hideStatusBarForSmallFrameHeight
 *	Aug 08, 2006 - Aug 10, 2006	ws: Added afterFrameCreated, better Feedback in Logger bei isInsideVisualEditor
 *	Aug 21, 2006 - Aug 21, 2006	ws: Added MenuItem fuer Logger Viewer
 * 	Sep 06, 2006 - Sep 11, 2006	ws: MstFrame ist Oberklasse statt JFrame direkt
 * 	Oct 16, 2006 - Oct 16, 2006	ws:	removed Guilleaumes (-> Markus Walla)
 * 	Dec 13, 2005 - Dec 13, 2005	ws:	afterFrameCreated, onTimer im EDT
 * 	Jan  5, 2007 - ...			ws: exit jetzt mit Main.exit(0) statt Main Objekt
 *  Feb  6, 2007 - ...			ws: Text Preferences -> Einstellungen
 *  								register(createPrefPosition()) nach afterFrameCreated()
 *  								afterFrameCreated_private() wieder getrennt von afterFrameCreated()
 *  Mar 19, 2007 - Mar 30, 2007	ws: make Menu Help visible and enabled again
 *  Apr 10, 2007 - ...			ws: private JMenu getJMenu* -> protected final
 *  May 11, 2007 - ...			ws: auskommentiert: call zu initAndRegisterOptionMenu
 *  								bleibt aber erst mal als Zombie im Programm
 *  Jun 19, 2007 - ...			ws: support for Spider via Reflection
 *  Aug 21, 2007 - Aug 24, 2007	ws:	onProgress 	Thread Safety implementiert
 *  											kleinerText added
 *	Jan  9, 2008 - Jan  9, 2008	ws:	aufraeumen: mstFrameMain -> mstApp
 *	Feb 11, 2008 - Feb 11, 2008	ws:	LocalHome may configere cache in afterFrame
 *	Feb 15, 2008 - Feb 15, 2008 ws: added "@Override"es
 *	Feb 28, 2008 - Feb 28, 2008 ws: added setJMenuMaschineVisible(boolean)
 *	May  8, 2008 - May 15, 2008 ws: besserer Window Closing text
 *									default closing option nothing
 *	Jul  1, 2008 - Jul  2, 2008	ws: load images with GUIFactory
 *	Aug 26, 2008 - Aug 27, 2008 ws: use ViewerDialog.create*
 *	Sep 15, 2008 - Sep 19, 2008	ws: add CAMframeControl Support piotr.bartkiewicz@desy.de
 * 	Sep 16, 2008 - Sep 16, 2008	ws:	Label for 	OpMode und ServerAnwahl doubleClicked -> show Preferences
 * 												Ini -> Show System Log
 * 	Oct 13, 2008 - Oct 13, 2008	ws:	added: field showAfter_afterFrameCreated
 * 	Oct 20, 2008 - Oct 20, 2008	ws:	moved Spinne nach links (-> App Meeting von Heute)
 * 	Oct 30, 2008 - Oct 30, 2008	ws:	addToCAM private -> pp wegen Server Ohne
 * 	Nov 24, 2008 - Nov 24, 2008	ws:	moved windowClosingListener _> afterFrameCreated_private_before
 * 									reason: Victor can now use more than one of those frames
 *	Dec 10, 2008 - Dec 10, 2008	ws:	MstSecurityMgr -> MstSecurity
 * 	Dec 18, 2008 - Dec 18, 2008	ws:	addToCAM in to end EDT Thread if CAM happens to stall
 * 	Feb 23, 2009 - Feb 23, 2009	kh:	moved initializePopUpMgr(): initialize() -> afterFrameCreated_private_before()
 * 	Feb 23, 200  - Feb 23, 2009	ws:	added: addDeveloperSpecificHelp
 *  Feb 24, 2009 - Feb 24, 2009 kh: printing, ActionListener jMenuItemPrint calls a public void instead of performing code directly
 *                                  reason: users maybe want to change dark colors before printing, this can be done now by @override.
 *  Feb 25, 2009 - Feb 25, 2009 kh: Neue void abgesichert gegen zu frhe Benutzung (try, catch).
 *  Apr 16, 2009 - Apr 16, 2009 ws:	jLabelClock mit Tooltip Text und default aktuelle Zeit
 *  Jun 29, 2009 - Jun 29, 2009 ws:	add TineLogging Support api steuerbar
 * 	Jul 14, 2009 - Jul 14, 2009	ws:	fixed some Eclipse 3.5 warnings
 * 	Oct 20, 2009 - Oct 21, 2009	ws:	support fuer Rubberband Progress Display (also some TTT's for Toolbar Labels)
 *	Dec 15, 2009 - Dec 23, 2009	ws:	implemented: useLocalSecurity debug switch semantics
 *									name some Controls for better debug
 *									add rightclick support to Statusbar
 * May  3, 2010 - May  3, 2010	rb, ws: add updateLookAndFeelComponentTree after Frame created
 * Nov 30, 2007 - Nov 30, 2007	ws:	field title
 */
package de.desy.mst.libs.framework.mstapp;

import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Container;
import java.awt.Frame;
import java.awt.Rectangle;
import java.awt.event.ComponentAdapter;
import java.awt.event.ComponentEvent;
import java.awt.event.MouseEvent;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.util.Date;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicReference;

import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JPopupMenu;
import javax.swing.JProgressBar;
import javax.swing.JRadioButtonMenuItem;
import javax.swing.JToolBar;
import javax.swing.SwingConstants;
import javax.swing.SwingUtilities;
import javax.swing.WindowConstants;
import javax.swing.border.BevelBorder;

import de.desy.mst.libs.framework.mstapp.flash.Progress;
import de.desy.mst.libs.framework.mstapp.ini.LocalHome;
import de.desy.mst.libs.framework.mstapp.io.MstPrintForm;
import de.desy.mst.libs.framework.mstapp.io.Utilities;
import de.desy.mst.libs.framework.mstapp.logging.Logger;
import de.desy.mst.libs.framework.mstapp.logging.LoggerManager;
import de.desy.mst.libs.framework.mstapp.logging.gui.ViewerDialog;
import de.desy.mst.libs.framework.mstapp.menu.IPopupMenuMgr;
import de.desy.mst.libs.framework.mstapp.menu.MenusMaschine;
import de.desy.mst.libs.framework.mstapp.menu.PopUpMenuMgr;
import de.desy.mst.libs.framework.mstapp.messages.ISetMessage;
import de.desy.mst.libs.framework.mstapp.messages.Message;
import de.desy.mst.libs.framework.mstapp.mode.IMaschinenKonfigurationObserver;
import de.desy.mst.libs.framework.mstapp.mode.IOpModeObserver;
import de.desy.mst.libs.framework.mstapp.mode.IServerAnwahlObserver;
import de.desy.mst.libs.framework.mstapp.mode.Maschine;
import de.desy.mst.libs.framework.mstapp.mode.MaschinenKonfiguration;
import de.desy.mst.libs.framework.mstapp.mode.OpMode;
import de.desy.mst.libs.framework.mstapp.mode.OpModeMgr;
import de.desy.mst.libs.framework.mstapp.mode.ServerAnwahl;
import de.desy.mst.libs.framework.mstapp.preferences.IPreferences;
import de.desy.mst.libs.framework.mstapp.preferences.implementation.optionPanels.PrefPositionConsole;
import de.desy.mst.libs.framework.mstapp.security.MstSecurity;
import de.desy.mst.libs.framework.mstapp.util.MstAppException;
import de.desy.mst.libs.framework.mstapp.util.MstDateFormat;
import de.desy.mst.libs.framework.mstapp.util.camInstrumentation.CAMframeControl;
import de.desy.mst.libs.framework.mstapp.util.gui.GUIFactory;

/**
 *
 * Basishauptklasse fuer alle Mst Standard Application.
 * Dies ist der Haupt JFrame (in VB Sprache Hauptform).
 * Ableitungen (extends) hiervon werden mit Main "class name" gestartet
 *
 * @author hinsch
 *
 */
public class MstFrameMain extends MstFrame implements IOpModeObserver
                                                    , IServerAnwahlObserver{
//-----------------------------------------------------------------------------
	private static final long serialVersionUID = 1L;	//guter Java Stil, da Serializable
	private static final String CLASS_NAME_EXTERNAL_COMPONENT = "de.desy.acop.displayers.AcopSpider";
	private static final int HEIGHT_EXTERNAL_COMPONENT = 19;
//	private static final String CLASS_NAME_CAM = "de.desy.mst.common.util.camInstrumentation.CAMframeControl";
	protected static final String CAMFRAME_CONTROL_MSG_PREFIX = "CAMframeControl: ";
//-----------------------------------------------------------------------------
	private final AtomicReference<ChoiceTineLogExport> refChoice = new AtomicReference<ChoiceTineLogExport>(ChoiceTineLogExport.DEFAULT);
	private enum ChoiceTineLogExport{
		/**wird spaeter evtl angepasst, z.B. Server immer*/
		  DEFAULT   {@Override void initTineLogExport(){NEVERDOIT.initTineLogExport();}}
		, NEVERDOIT {@Override void initTineLogExport(){/**NOOP*/}}
		, ALWAYSDOIT{@Override void initTineLogExport(){doIt();}}
		;
		abstract void initTineLogExport();
		@SuppressWarnings("deprecation")void doIt(){Logger._initTineLogExport();}
	}
	private final MenusMaschine menusMaschine;
	private JPanel jPanelHauptLayout = null;
	private JPanel jPanelUserBereich = null;

	protected JMenuBar jJMenuBar = null;
		private JMenu jMenuFile = null;
			private JMenuItem jMenuItemLogViewer = null;
			private JMenuItem jMenuItemLogViewerGeneral = null;
			private JMenuItem jMenuItemPrint = null;//  @jve:decl-index=0:visual-constraint="536,77"
			private JMenuItem jMenuItemExit = null;	//  @jve:decl-index=0:visual-constraint="545,145"
		private JMenu jMenuHelp = null;
		private JMenu jMenuOptions = null;  		//  @jve:decl-index=0:visual-constraint="705,133"
			private JMenuItem jMenuItemPreferences=null;

	protected JToolBar jToolBarStatus = null;
		private JLabel jLabelLocalPc = null;
		private JLabel jLabelClock = null;
		private JLabel jLabelOpMode = null;
		private JProgressBar jProgressOpMode = null;
		private JLabel jLabelSrvAnwahl = null;
		private JComponent jComponentExtern = null;
		private JPanel jPanelExtern = null;

	/**
	 * neue Menues mit <code>userHauptMenueIndex</code> <br>
	 * <code>jJMenuBar.add(JMenu,userHauptMenueIndex++);</code> einsetzen. <br>
	 * @link de.desy.mst.mstapbeispiele.FrameMainBeispiel04
	 */
	protected int userHauptMenueIndex;

	private final int interval = 1000;	//mS onTimer Intervall
	private boolean postConstructionEventWasCalled = false;
	private final AtomicBoolean showAfter_afterFrameCreated = new AtomicBoolean(true);

	private JLabel jLabelMessage = null;

    private final ISetMessage messageReceiver = new ISetMessage(){
        private final static String NEWLINE = "<br>";
        private int counter = 0;
       /* (non-Javadoc)
         * @see de.desy.mst.mstapp.ISetMessage#setMessage(java.lang.String, java.lang.String, int)
         */
        @Override public final void setMessage(final Message message) {
            ++this.counter;
            MstFrameMain.this.jLabelMessage.setText(formatText(message.text));
            MstFrameMain.this.jLabelMessage.setToolTipText(formatTTip(message.toolTipText));
        }
        //---------------------------------------------------------------------
        //**All text has a minumum size of NOTEXT, shorter text will be right padded*/
        private final String formatText(final String text){
            final String NOTEXT = "     ";  //so message will not shrink
            String retVal = text;
            if(retVal == null || retVal.equals("")){
                retVal = NOTEXT;
            }else while(retVal.length() < NOTEXT.length()){
                retVal = retVal + " ";
            }
            return counterText() + retVal;
        }
        //**New toolTipTexts will be prepended, no more than MAXLINES will be kept*/
        private final String formatTTip(final String toolTipText){
            final int MAXLINES = 25;
            String oldToolTipText = MstFrameMain.this.jLabelMessage.getToolTipText();
            if(oldToolTipText == null)
                {oldToolTipText = "";}
            else
                {oldToolTipText = NEWLINE + oldToolTipText;}
            String retVal = toolTipText + oldToolTipText;
            retVal = truncateLines(MAXLINES, retVal);
            return "<html>" + counterText() + retVal + "</html>";
        }
        //**truncate to first maxLines lines*/
        private final String truncateLines(final int maxLines,final String text) {
            final String[] lineArray = text.split(NEWLINE);
            String retVal = text;
            if( lineArray.length > maxLines){
                retVal = lineArray[0];
                for(int i = 1; i < maxLines && i < lineArray.length; i++){
                    retVal = retVal + NEWLINE + lineArray[i];
                }
            }
            return retVal;
        }
        private final String counterText(){
            return "(" +  this.counter + ")";
        }
    };


//=============================================================================

	public MstFrameMain(final MstApp mstApp) {
		super(mstApp);
		this.menusMaschine = new MenusMaschine(getMstApp());
		this.fireInitializationZuProzentFertig(0);
		initialize();
		this.fireInitializationZuProzentFertig(10);
	}

	/**ONLY Dummy Constructor for Visual Editor. DO NOT USE FOR PRODUCTION CODE.*/
	@SuppressWarnings("deprecation") public MstFrameMain(){
        this.menusMaschine = new MenusMaschine(this.getMstApp());
        initialize();
        this.getMstApp().getTheMain().glueFrameMain(this);
	}

//=============================================================================

	public final boolean getShowAfter_afterFrameCreated() {
		return this.showAfter_afterFrameCreated.get();
	}
	public final void setShowAfter_afterFrameCreated(final boolean b) {
		this.showAfter_afterFrameCreated.set(b);
	}

	/**MstApp Kontext: nie null, wenn Frame korrekt ber new MstFrame(mstApp) erzeugt.*/
	@Override public synchronized final MstApp getMstApp() {return super.getMstApp();}

	/**
	 * @param screenSize 	siehe this.setBounds(Screen screenSize)
	 */
	public final void sizeThisForm(final Screen screenSize){
		setBounds(screenSize);
	}
	/**
	 * @param screenSize 	gewnschte Position und Gre dieser Form. Benutzung wie: <br>
	 * 						setBounds(Screen.FULL_SCREEN); <br>
	 * 						setBounds(Screen.HALF.LOWER); <br>
	 * 						setBounds(Screen.QUARTER.SECOND); <br>
	 */
    public final void setBounds(final Screen screenSize) {
		screenSize.setBoundsOnComponent(this);
    }

	 public final void CloseAndExit(){
		Main.exit();
		//System.exit(0);	//Alleiniger Job der theMain Main class
	}

//=============================================================================

	/**
	 * zum Ueberschreiben
	 * !VORSICHT: nur konservertiv initialisierte Objektfelder benutzen, da schon von
	 * SuperKlasse aufgerufen wird, bevor das instanzierte Unterklassenobjekt vollstndig
	 * initialisiert ist /!VORSICHT
	 * @see de.desy.mst.libs.framework.mstapp.mode.IOpModeObserver#onOpModeChange(de.desy.mst.libs.framework.mstapp.mode.OpMode)
	 */
	 @Override public void onOpModeChange(final OpMode opMode) {
	}

	/**
	 * zum Ueberschreiben
	 * !VORSICHT: nur konservertiv initialisierte Objektfelder benutzen, da schon von
	 * SuperKlasse aufgerufen wird, bevor das instanzierte Unterklassenobjekt vollstndig
	 * initialisiert ist /!VORSICHT
	 * @see de.desy.mst.libs.framework.mstapp.mode.IServerAnwahlObserver#onServerAnwahlChange(de.desy.mst.libs.framework.mstapp.mode.ServerAnwahl)
	 */
	 @Override public void onServerAnwahlChange(final ServerAnwahl anwahl) {
	}
//=============================================================================

	/**
	 * Kann mit eigenen ein-sekndlichen update Sachen ueberschrieben werden (call to super nicht vergessen)<br>
     * <li><b>!VORSICHT:</b> nur konservertiv initialisierte Objektfelder benutzen, da schon von
     * SuperKlasse aufgerufen werden kann bevor das instanzierte Unterklassenobjekt vollstndig
     * initialisiert ist</li>
     * wird im SWING EDT (Event Dispatch Thread) aufgerufen.
     */
	protected void onTimer() {
		this.jLabelClock.setText(MstDateFormat.KURZ.format(new Date()));
		doRubberbandUpdate();
	}

//	=============================================================================

	private class CLClock extends Thread {
		//timer to set the clock label
		int interval;
		CLClock(final int interval) {
			super("Timer Thread");
			this.interval = interval;
			this.setDaemon(true);
		}
		//Laueft im eigenen Thread, aber onTimer wieder im EDT
		@Override public void run() {
			while ( true ) {
				try {
					SwingUtilities.invokeLater(new Runnable(){
						@Override public void run() {//NUR HIER IM EDT
							try {
								onTimer();
							}
							catch(final Exception e){
								final String msg = "Unexpected Exception in" +
												   " MstFrameMain.onTimer" +
												   " (ignored).";
								Logger.SWFW.error(msg, e);
							}
						}
					});
					//$ANALYSIS-IGNORE
					Thread.sleep(this.interval);
				}
				catch ( final InterruptedException e ) {
					//jLabelClock.setText(e.getMessage());
				}
			} 
		}
	}

	/**
	 * This method initializes jJMenuBar
	 *
	 * @return JMenuBar
	 */
	public JMenuBar getJJMenuBar() {
		if (this.jJMenuBar == null) {
			int curIndex = 0;
			this.jJMenuBar = new JMenuBar();
			this.jJMenuBar.setBorderPainted(false);
			this.jJMenuBar.add(getJMenuFile(),curIndex++);
			this.jJMenuBar.add(getMenusMaschine().getJMenuMaschine(), curIndex++);
			this.userHauptMenueIndex = curIndex;	//hier ist der Platz fuer User-Menues
			this.jJMenuBar.add(getJMenuOptions(),curIndex++);
			this.jJMenuBar.add(getJMenuHelp(),curIndex++);
		}
		return this.jJMenuBar;
	}
	/**
	 * This method initializes jMenuFile
	 *
	 * @return JMenu
	 */
	protected final JMenu getJMenuFile() {
		if (this.jMenuFile == null) {
			this.jMenuFile = new JMenu();
			this.jMenuFile.setText("Datei");
			this.jMenuFile.setMnemonic('D');
				this.jMenuFile.add(getJMenuItemLogViewer());
				this.jMenuFile.add(getJMenuItemLogViewerGeneral());
				this.jMenuFile.add(getJMenuItemPrint());
				this.jMenuFile.addSeparator();
				this.jMenuFile.add(getJMenuItemExit());
		}
		return this.jMenuFile;
	}
	/**
	 * This method initializes jMenuItemPrint
	 *
	 * @return JMenuItem
	 */
	private JMenuItem getJMenuItemPrint() {
		if (this.jMenuItemPrint == null) {
			this.jMenuItemPrint = new JMenuItem();
			this.jMenuItemPrint.setSize(101, 21);
			this.jMenuItemPrint.setText("Drucken / Benachrichtigen ...");
			this.jMenuItemPrint.setMnemonic('r');
//			jMenuItemPrint.setIcon(new ImageIcon(getClass().getResource("/de/desy/mst/mstapp/Print.gif")));
//			jMenuItemPrint.setIcon(new ImageIcon(getClass().getResource("/resources/print.png")));
			this.jMenuItemPrint.setIcon(GUIFactory.createImageIcon("print.png", this.getClass()));
			this.jMenuItemPrint.addActionListener(new java.awt.event.ActionListener() {
				@Override public void actionPerformed(final java.awt.event.ActionEvent e) {
//					Utilities.printFromActionPerformed(MstFrameMain.this, getMstApp().getMaschine());
					printFrame();
				}
			});
		}
		return this.jMenuItemPrint;
	}
	public void printFrame(){
		try{
			final MstApp mstApp = getMstApp();
			final Maschine maschine = mstApp.getMaschine();
			//Title als Parameter fr das Logbuch KH
			Utilities.printFromActionPerformed(MstFrameMain.this, maschine, this.getTitle());
		}catch(final Exception e){
			Logger.SWFW.error("Drucken printFrame(): " + e.getMessage(), e);
		}
	}
	/**
	 * This method initializes jMenuItemLogViewer
	 *
	 * @return JMenuItem
	 */
	private JMenuItem getJMenuItemLogViewer() {
		if (this.jMenuItemLogViewer == null) {
			this.jMenuItemLogViewer = new JMenuItem();
			this.jMenuItemLogViewer.setSize(101, 21);
			this.jMenuItemLogViewer.setText("Zeige Log Eintrge");
			this.jMenuItemLogViewer.setMnemonic('L');
//			jMenuItemLogViewer.setIcon(new ImageIcon(getClass().getResource("/resources/Print.gif")));
			this.jMenuItemLogViewer.addActionListener(new java.awt.event.ActionListener() {
				@Override public void actionPerformed(final java.awt.event.ActionEvent e) {
					showAndCenterDialog(ViewerDialog.createSystemLoggingDialog(MstFrameMain.this, getMstApp()));
				}
			});
		}
		return this.jMenuItemLogViewer;
	}
	private void showAndCenterDialog(final ViewerDialog dialog) {
		dialog.setVisible(true);
		Main.centerToMstFrameMain(dialog);
	}

	private JMenuItem getJMenuItemLogViewerGeneral() {
		if (this.jMenuItemLogViewerGeneral == null) {
			this.jMenuItemLogViewerGeneral = new JMenuItem();
			this.jMenuItemLogViewerGeneral.setSize(101, 21);
			this.jMenuItemLogViewerGeneral.setText("Zeige Protokoll und Log Eintrge ...");
			this.jMenuItemLogViewerGeneral.setMnemonic('o');
//			jMenuItemLogViewerGeneral.setIcon(new ImageIcon(getClass().getResource("/resources/Print.gif")));
			this.jMenuItemLogViewerGeneral.addActionListener(new java.awt.event.ActionListener() {
				@Override public void actionPerformed(final java.awt.event.ActionEvent e) {
					showAndCenterDialog(ViewerDialog.createGeneralLoggingDialog(MstFrameMain.this, getMstApp()));
				}
			});
		}
		return this.jMenuItemLogViewerGeneral;
	}
	/**
	 * This method initializes jMenuItemExit
	 *
	 * @return JMenuItem
	 */
	private JMenuItem getJMenuItemExit() {
		if (this.jMenuItemExit == null) {
			this.jMenuItemExit = new JMenuItem();
			this.jMenuItemExit.setSize(116, 29);
			this.jMenuItemExit.setText("Beenden");
//			jMenuItemExit.setIcon(new ImageIcon(getClass().getResource("/de/desy/mst/mstapp/Exit.gif")));
//			jMenuItemExit.setIcon(new ImageIcon(getClass().getResource("/resources/closeSmal.png")));
			this.jMenuItemExit.setIcon(GUIFactory.createImageIcon("closeSmal.png", this.getClass()));
			this.jMenuItemExit.addActionListener(new java.awt.event.ActionListener() {
				@Override public void actionPerformed(final java.awt.event.ActionEvent e) {
					Logger.SWFW.info("Exit performed");
					CloseAndExit();
				}
			});
		}
		return this.jMenuItemExit;
	}
	/**
	 * This method initializes jMenuItemPreferences
	 *
	 * @return JMenuItem
	 */
	private JMenuItem getJMenuItemPreferences() {
		if (this.jMenuItemPreferences == null) {
			this.jMenuItemPreferences = new JMenuItem();
			this.jMenuItemPreferences.setSize(116, 29);
			this.jMenuItemPreferences.setText("Einstellungen ...");
			this.jMenuItemPreferences.setMnemonic('e');
//			jMenuItemPreferences.setVisible(false);
			this.jMenuItemPreferences.addActionListener(new java.awt.event.ActionListener() {
				@Override public void actionPerformed(final java.awt.event.ActionEvent e) {
					getMstApp().getPreferencesManager().showPreferencesFrame();
							}
			});
		}
		return this.jMenuItemPreferences;
	}
	protected final void setJMenuMaschineVisible(final boolean aFlag){
		getMenusMaschine().getJMenuMaschine().setVisible(aFlag);
	}
	/**
	 * This method initializes jMenuOptions
	 *
	 * @return JMenu
	 */
	protected final JMenu getJMenuOptions() {
		if (this.jMenuOptions == null) {
			this.jMenuOptions = new JMenu();
			this.jMenuOptions.setText("Optionen");
			this.jMenuOptions.setMnemonic('O');
//			jMenuOptions.setEnabled(false);
//			jMenuOptions.setVisible(false);
			this.jMenuOptions.add(getJMenuItemPreferences());
//			this.getMstApp().initAndRegisterOptionMenu(							jMenuOptions,
//							   							(IOpModeObserver) 		this,
//							   							(IServerAnwahlObserver) this);/** @autor ws*/
		}
		return this.jMenuOptions;
	}
	/**
	 * This method initializes jMenuHelp
	 *
	 * @return JMenu
	 */
	public final JMenu getJMenuHelp() {
		if (this.jMenuHelp == null) {
			this.jMenuHelp = new JMenu();

//			jMenuHelp.setEnabled(false);
//			jMenuHelp.setVisible(false);
			this.getMstApp().initHelpMenu(this.jMenuHelp);
			this.jMenuHelp.setMnemonic('H');
		}
		return this.jMenuHelp;
	}
	/**
	 * fuegt einen Entwicklerspezifischen Hilfe Menue Eintrag hinzu
	 * <br> Beispiel:
	 * @param menueText		kurzer Text (wird im Menue so angezeigt)
	 * @param helpInHTML	Java Kompatibles html evtl mit extenen Links
	 */
	protected final void addDeveloperSpecificHelp(final String menueText, final String helpInHTML){
		getMstApp().getHelpMgr().addDeveloperSpecificHelp(this, menueText, helpInHTML);
	}

	/**pp*/ JToolBar getJToolBarStatus() {
		if (this.jToolBarStatus == null) {
			this.jLabelLocalPc = new JLabel();
			this.jLabelLocalPc.setText("LocalPc");
			this.jLabelLocalPc.setName("jLabelLocalPc");
			this.jLabelLocalPc.setBorder(new BevelBorder(BevelBorder.LOWERED));

			this.jLabelClock = new JLabel();
			this.jLabelClock.setText(MstDateFormat.KURZ.format(new Date()));
			this.jLabelClock.setName("jLabelClock");
			this.jLabelClock.setToolTipText("Start: " + MstDateFormat.KURZ.format(new Date()));
			this.jLabelClock.setHorizontalAlignment(SwingConstants.CENTER);
			this.jLabelClock.setBorder(new BevelBorder(BevelBorder.LOWERED));

			this.jLabelOpMode = new JLabel();
			this.jLabelOpMode.setText("OpMode");
			this.jLabelOpMode.setName("jLabelOpMode");
			this.jLabelOpMode.setToolTipText("Doppelklick um in Optionen->Preferences den OpMode zu ndern.");
			this.jLabelOpMode.setBorder(new BevelBorder(BevelBorder.LOWERED));
			this.jLabelOpMode.addMouseListener(new PopUpMenuMgr.StandardMouseAdapter(getPopUpMenuMgr()){
				@Override public void mouseClicked(final MouseEvent evt) {
					if(evt.getClickCount() > 1)
						getMstApp().getPreferencesManager()
							       .showPreferencesFrame(getMstApp().getPrefOperationMode());
					super.mouseClicked(evt);
				}
			});
			this.getMstApp().registerForOpModesCaption(this.jLabelOpMode);

			this.jProgressOpMode = new JProgressBar();
			this.jProgressOpMode.setName("jProgressOpMode");
			this.jProgressOpMode.setVisible(false);
			this.jProgressOpMode.setString("Progress OpMode");
			this.jProgressOpMode.setStringPainted(true);
			this.jProgressOpMode.setValue(73);
			this.jProgressOpMode.setBorder(new BevelBorder(BevelBorder.LOWERED));
			this.jProgressOpMode.addMouseListener(new PopUpMenuMgr.StandardMouseAdapter(getPopUpMenuMgr()){
				@Override public void mouseClicked(final MouseEvent evt) {
					if(evt.getClickCount() > 1)
//						toggleVisibility(jLabelOpMode, jProgressOpMode);
						getMstApp().getPreferencesManager()
							       .showPreferencesFrame(getMstApp().getPrefOperationMode());
					super.mouseClicked(evt);
				}

			});
			this.getMstApp().getOpModeMgr().registerIOpModeObserver(new IOpModeObserver(){
				@Override public void onOpModeChange(final OpMode opMode) {doRubberbandUpdate();}
			});

			this.jLabelSrvAnwahl = new JLabel();
			this.jLabelSrvAnwahl.setName("jLabelSrvAnwahl");
			this.jLabelSrvAnwahl.setText("SrvAnwahl");
			this.jLabelSrvAnwahl.setToolTipText("Doppelklick um in Optionen->Preferences die ServerAnwahl zu ndern.");
			this.jLabelSrvAnwahl.setBorder(new BevelBorder(BevelBorder.LOWERED));
			this.jLabelSrvAnwahl.addMouseListener(new PopUpMenuMgr.StandardMouseAdapter(getPopUpMenuMgr()){
				@Override public void mouseClicked(final MouseEvent evt) {
					if(evt.getClickCount() > 1)
						getMstApp().getPreferencesManager()
							       .showPreferencesFrame(getMstApp().getPrefServerChoice());
					super.mouseClicked(evt);
				}
			});
			this.getMstApp().registerForServerAnwahlCaption(this.jLabelSrvAnwahl);

			this.jLabelMessage = new JLabel();
			this.jLabelMessage.setName("jLabelMessage");
			this.jLabelMessage.setText("Keine Message");
			this.jLabelMessage.setToolTipText("Doppelklick um die Logging Anzeige zu ffnen.");
			this.jLabelMessage.setBorder(new BevelBorder(BevelBorder.LOWERED));
			this.jLabelMessage.addMouseListener(new PopUpMenuMgr.StandardMouseAdapter(getPopUpMenuMgr()){
				@Override public void mouseClicked(final MouseEvent evt) {
					if(evt.getClickCount() > 1){
						showAndCenterDialog(ViewerDialog.createGeneralLoggingDialog(MstFrameMain.this, getMstApp()));
					}
					super.mouseClicked(evt);
				}
			});

			this.jToolBarStatus = new JToolBar();
			this.jToolBarStatus.setName("jToolBarStatus");
			this.jToolBarStatus.add(this.jLabelLocalPc);
			this.jToolBarStatus.add(this.jLabelClock);
			this.jToolBarStatus.add(this.jLabelOpMode);
			this.jToolBarStatus.add(this.jProgressOpMode);
			this.jToolBarStatus.add(this.jLabelSrvAnwahl);
			this.jToolBarStatus.add(this.jLabelMessage);
			final boolean recursive = true;
			getPopUpMenuMgr().applyStandardMouseListener(this.jToolBarStatus, recursive);//nachdem componenten erzeugt wurden

			this.getMstApp().registerForServerAnwahlBackcolor(this.jToolBarStatus);
		}
		return this.jToolBarStatus;
	}
//	private void toggleVisibility(final JComponent ... cmps) {
//		for (JComponent cmp : cmps)
//			cmp.setVisible(!cmp.isVisible());
//	}
	private void doRubberbandUpdate() {
		try {
			final OpModeMgr opModeMgr = getMstApp().getOpModeMgr();
			this.jProgressOpMode.setString(opModeMgr.getOpMode().toString());
			final int rubberbandProgress = opModeMgr.getIRubberbandProgress();
			this.jProgressOpMode.setValue(rubberbandProgress);
			final boolean isInRubberbandMode = rubberbandProgress < 100;
			this.jLabelOpMode   .setVisible(!isInRubberbandMode);
			this.jProgressOpMode.setVisible( isInRubberbandMode);
			if(isInRubberbandMode)	//nur bei Bedarf Erzeugung von IRubberband erzwingen
				this.jProgressOpMode.setToolTipText("Wird bei Nichtaktivitt in "
						+ opModeMgr.getIRubberband().getMinRestTimeMS()/1000
						+ " Sekunden automatisch nach "
						+ opModeMgr.getIRubberband().getDestinationMode().name
						+ " umgeschaltet.");
			else
				this.jProgressOpMode.setToolTipText(this.jProgressOpMode.getString());
		} catch (final Exception ex) {
			//should never happen, just panically in case
		}
	}

	/**
	 * Hier bekommt man die Spinne oder eine andere JComponent zurueck.
	 * Nie null. Kann nicht ueberschrieben werden
	 * (benutze hierzu createJComponentExtern(), wegen non null Garantie)
	 * see FrameMainBeispiel05_Spinne
	 */
	protected final Component getJComponentExtern() {
		if(this.jComponentExtern == null){	//1'ter Versuch Spinne
			this.jComponentExtern = createJComponentExtern();
		}
		if(this.jComponentExtern == null){	//2'ter Versuch Label
			final JLabel label = new JLabel();
			label.setName("jComponentExtern");
			getPopUpMenuMgr().applyStandardMouseListener(label, false);
			label.setText("");
			label.setToolTipText("Platzhalter fuer externe Komponente wie die 'Spinne'.");
//			label.setBounds(new Rectangle(0,1,20,20));
			this.jComponentExtern = label;
		}
		return this.jComponentExtern;
	}
	protected final JPanel getJPanelExtern(){
		if(this.jPanelExtern == null){
			this.jPanelExtern = new JPanel();
			this.jPanelExtern.setName("jPanelExtern");
			getPopUpMenuMgr().applyStandardMouseListener(this.jPanelExtern, false);
			this.jPanelExtern.setLayout(null);
			this.jPanelExtern.setBorder(new BevelBorder(BevelBorder.LOWERED));
		}
		return this.jPanelExtern;
	}
	public JPanel getJPanelHauptLayout() {
		if(this.jPanelHauptLayout == null) {
			this.jPanelHauptLayout = new JPanel();
			this.jPanelHauptLayout.setName("jPanelHauptLayout");
			this.jPanelHauptLayout.setLayout(new BorderLayout());
			this.jPanelHauptLayout.add(getJToolBarStatus(), java.awt.BorderLayout.SOUTH);
			this.jPanelHauptLayout.add(getJPanelUserBereich(), java.awt.BorderLayout.CENTER);
		}
		return this.jPanelHauptLayout;
	}

	/**
	 * This method initializes jPanel
	 *
	 * @return JPanel
	 */
	protected final JPanel getJPanelUserBereich() {
		if (this.jPanelUserBereich == null) {
			this.jPanelHauptLayout.setName("jPanelUserBereich");
			this.jPanelUserBereich = new JPanel();
			this.jPanelUserBereich.setLayout(null);
			this.jPanelUserBereich.setOpaque(false);
		}
		return this.jPanelUserBereich;
	}

	/**	package private, wird nach vollstaendiger Erzeugung des Frames
	 * 	(alle Konstruktoren ausgefuehrt) von Main gerufen.<br>
	 * 	NUR FUER DAS SYSTEM _ DON'T USE
	 */
	@Deprecated synchronized void fireAfterFrameCreated(){
		if(this.isVisible()){
			final String msg =
				"Der Hauptframe ist schon im Konstruktor visible!?";
			//strange but simply ignore without an exception trace
			Logger.SWFW.warn(msg);
		}
		if(this.postConstructionEventWasCalled){
			Logger.SWFW.warn("Called MstFrameMain.fireAfterFrameCreated(),"
				+ " when frame was already visible. Set too early to visible"
				+ " or double call of fireAfterFrameCreated(). Please fix."
				+ " So long this call will be ignored."
				, new IllegalStateException());
		}else{
			this.postConstructionEventWasCalled = true;
			this.afterFrameCreated_private_before();
			try{
				this.afterFrameCreated();
			}
			catch(final Exception userException){
				final String msg =  "Uncaught Exception in "
							+ this.getClass().getName() + ".afterFrameCreated"
							+ " will just quietly continue.";
				Logger.SWFW.error(msg, userException);
			}
			this.afterFrameCreated_private_after();
		}
	}
	/**	protected, wird nach vollstaendiger Erzeugung des Frames
	 * 	(alle Konstruktoren ausgefuehrt) von Main gerufen.<br>
	 *  Hier Tine starten. Hier kann der this Pointer an andere Threads
	 *  weitergegeben werden.<br>
	 *  Danach startet der HauptFrame den Timer und macht die Form sichtbar.
	 */
	protected void afterFrameCreated() {}
	private   void afterFrameCreated_private_before() {
		getJToolBarStatus().add(getJPanelExtern(), 0);
		getJPanelExtern().add(getJComponentExtern());	//TINE Stuff erst jetzt

		this.getMstApp().getPreferencesManager().register(createPrefPosition());
//		prefMgr.register(new PrefPosition("Hauptform", this, null));

		hideStatusBarForSmallFrameHeight();
		initializePopUpMgr();
		if(!LocalHome.isLocalHomeConfiguered())
			LocalHome.changeHomeByUserDialog();

		(new CLClock(this.interval)).start() ;

		this.addWindowListener(new java.awt.event.WindowAdapter() {
			@Override public void windowClosing(final java.awt.event.WindowEvent e) {
				Logger.SWFW.info("windowClosing() '" + getTitle() + "'");
				CloseAndExit();
			}
		});
	}
	private   void afterFrameCreated_private_after() {
		this.refChoice.get().initTineLogExport();	//danach unabnderlich geschehen
		SwingUtilities.invokeLater(new Runnable(){	//must be EDT, but try to detach as much as possible
			@Override public void run() {
				addToCAM(MstFrameMain.this);
				//Main.updateLookAndFeelComponentTree(MstFrameMain.this);//Kills some apps => removed call
			}
		});

//TOO DANGEROUS: Example JPanel
//		final boolean recursive = true;
//		getPopUpMenuMgr().applyStandardMouseListener(getJPanelHauptLayout(), recursive);

		if(this.getShowAfter_afterFrameCreated())
			this.setVisible(true);
		//else
		//	DO NOT TOUCH
	}
	/**Tine Export wird evtl. initialisiert: Bis Ende afterFrameCreated effektiv, danach effektiv ignoriert*/
	public void setToTineLogExportInit_Default(){this.refChoice.set(ChoiceTineLogExport.DEFAULT);}
	/**Tine Export wird NICHT initialisiert: Bis Ende afterFrameCreated effektiv, danach effektiv ignoriert*/
	public void setToTineLogExportInit_Nie()    {this.refChoice.set(ChoiceTineLogExport.NEVERDOIT);}
	/**Tine Export wird initialisiert: Bis Ende afterFrameCreated effektiv, danach effektiv ignoriert*/
	public void setToTineLogExportInit_Immer()  {this.refChoice.set(ChoiceTineLogExport.ALWAYSDOIT);}

	public boolean isToTineLogExportInit_Default(){return this.refChoice.get().equals(ChoiceTineLogExport.DEFAULT);}
	public boolean isToTineLogExportInit_Nie()    {return this.refChoice.get().equals(ChoiceTineLogExport.NEVERDOIT);}
	public boolean isToTineLogExportInit_Immer()  {return this.refChoice.get().equals(ChoiceTineLogExport.ALWAYSDOIT);}
	/**
	 * This method initializes this.
	 * Hier statt im Konstruktor sind alle Initialisierungen.
	 *
	 * Diese Methode muss in dem Konstruktor aufgerufen werden und privat sein, da
	 * sonst die Klassenvariablen der Unterklassen von MstFrameMain noch nicht
	 * initialisiert sind wenn initialize gerufen wird (siehe J. Bloch "Effective Java" S. 80f).
	 *
	 * @return void
	 */
	private void initialize() {
		JPopupMenu.setDefaultLightWeightPopupEnabled(false);
		this.setContentPane(getJPanelHauptLayout());
		this.setComponentOrientation(java.awt.ComponentOrientation.LEFT_TO_RIGHT);
		this.setJMenuBar(getJJMenuBar());
		this.setSize(635, 346);
		this.setTitle("");	//dummy, kludge for visual editor problem
		this.setTitle(this.getMstApp().getStartParameter().title);
		this.setDefaultCloseOperation(WindowConstants.DO_NOTHING_ON_CLOSE);
		this.addComponentListener(new ComponentAdapter(){
		    @Override public void componentResized(final ComponentEvent e) {
		    	hideStatusBarForSmallFrameHeight();
		    	getJPanelHauptLayout().revalidate();
		    }
		});

		this.jToolBarStatus.setFloatable(false);
			final MstSecurity mstSecurity = MstSecurity.get();
			this.jLabelLocalPc.setText(mstSecurity.getHostName());
			this.jLabelLocalPc.setToolTipText(mstSecurity.getHostAddress());

		getMstApp().getOpModeMgr().registerIOpModeObserver(this);
		getMstApp().getServerAnwahlMgr().registerAnwahlObserver(this);
		getMstApp().getMaschineMgr().registerIMaschinenKonfigurationObserver(
				new IMaschinenKonfigurationObserver(){
					@Override public void onMaschinenKonfigurationChange(
							final MaschinenKonfiguration neueMaschinenKonfiguration) {
						final int anzahl =
							neueMaschinenKonfiguration.getASReadOnlyList()
													  .size();
						setJMenuMaschineVisible(anzahl > 1);
					}

				}
				);

		final String sSuper = (this.isInsideVisualEditor) ? "" : ".super";
		Logger.SWFW.info(this.getClass().getName() + sSuper + ".initialize ist erfolgreich durchlaufen worden.");
		getMstApp().setCreationSuccess("MstFrameMain");
	}

	/**pp, Versucht den frame an CAM anzuschliessen, bei Misserfolg null sonst den Ctr.*/
	void addToCAM(final Frame frame) {
		if(noCamFrameControl()){
			Logger.SWFW.warn("IM JUNIT DEBUG MODUS. noCamFrameControl()");
			return;
		}
		final String msg1 = CAMFRAME_CONTROL_MSG_PREFIX
						  + " wird den Frame vom Typ '"
						  + frame.getClass().getName() + "' managen.";
		Logger.SWFW.info(msg1);
		LoggerManager.flush();	//be sure to get Output (console, file) before stall

		final CAMframeControl camframeControl = new CAMframeControl(this);

		final String msg2 = CAMFRAME_CONTROL_MSG_PREFIX
						  + "von Anbindung zurueck. Control Id = '"
						  + camframeControl.getId() + "'.";
		Logger.SWFW.info(msg2);
		LoggerManager.getConsolAppender().flush();//very conservative to surely get output
	}
	/**
	 * kann mit eigener Komponenten Fabrik ueberschiebern werden
	 * (darf null sein):
	 * &see FrameMainBeispiel05_Spinne
	 */
	protected JComponent createJComponentExtern() {
		if(noSpider()){
			Logger.SWFW.warn("IM JUNIT DEBUG MODUS. noSpider()");
			return null;
		}

		JComponent retVal = null;
		try {
			retVal = createJComponentExternImpl();
		} catch (final Exception e) {
			final String msg = "Kann '" + CLASS_NAME_EXTERNAL_COMPONENT
						     + "' nicht erzeugen."
						     + " Wird im wesentlichen ignoriert."
						     + " Ist 'acopbeans.jar', 'tine.jar' im Pfad?"
						     + " Fehlermeldung: '"
						     + e.getMessage()
						     + "'.";
			Logger.SWFW.warn(msg);
		}
		return retVal;
	}
	/**macht die Arbeit und leitet die Exceptions bei name weiter*/
	private JComponent createJComponentExternImpl() throws Exception {
		try {
			final Class<?> clazz = Class.forName(CLASS_NAME_EXTERNAL_COMPONENT);
			final Constructor<?> constructor = clazz.getConstructor();//default XTor
			final Object object = constructor.newInstance(new Object[0]);
			final JComponent component = (JComponent) object;
			final int height = HEIGHT_EXTERNAL_COMPONENT;
//			component.setSize(height, height);
			component.setBounds(new Rectangle(2,2,height,height));
			if(component.getName() == null || component.getName().isEmpty())
				component.setName(CLASS_NAME_EXTERNAL_COMPONENT);
			getPopUpMenuMgr().applyStandardMouseListener(component, false);
			return component;
		} catch (final ClassNotFoundException e) {
			throw new MstAppException("ClassNotFoundException (jar im Pfad?)", e);
		} catch (final SecurityException e) {
			throw new MstAppException("SecurityException",					e);
		} catch (final NoSuchMethodException e) {
			throw new MstAppException("NoSuchMethodException (Default XTor?)", e);
		} catch (final IllegalArgumentException e) {
			throw new MstAppException("IllegalArgumentException (Default XTor?)",	e);
		} catch (final InstantiationException e) {
			throw new MstAppException("InstantiationException",				e);
		} catch (final IllegalAccessException e) {
			throw new MstAppException("IllegalAccessException",				e);
		} catch (final InvocationTargetException e) {
			throw new MstAppException("InvocationTargetException",			e);
		}
	}


	protected IPreferences createPrefPosition() {return new PrefPositionConsole(this);}
	/**
	 * @param prozentAnteil 0...100
	 * 						Circa wieviel Prozent das lange initialize() fertig ist.
	 * 						Aktzeptiert nur jeweils hhere Prozente
	 * 						(anderes still ignoriert).
	 * 						Kann von jedem beliebigen Thread aufgerufen werden.
	 */
	public final void fireInitializationZuProzentFertig(final int prozentAnteil){
		this.fireInitializationZuProzentFertig(prozentAnteil, "");
	}
	/**
	 * @param prozentAnteil 0...100
	 * 						Circa wieviel Prozent das lange initialize() fertig ist.
	 * 						Aktzeptiert nur jeweils hhere Prozente
	 * 						(anderes still ignoriert).
	 * 						Kann von jedem beliebigen Thread aufgerufen werden.
	 * @param kleinerText   Wird im Label der FlashScreen angezeigt. AL Wunsch
	 * 						um Lebenszeichen zu ermglichen.
	 */
	public final void fireInitializationZuProzentFertig
						(final int prozentAnteil, final String kleinerText) {
		final Progress progress =
					Progress.FORM_INIT.setProgress(prozentAnteil, kleinerText);
		this.getMstApp().getTheMain().onProgress(progress);
	}


    public void setContentPaneMST(final JPanel contentPane) {
    	this.jPanelUserBereich = contentPane;
    }

	//Vorsicht von Oberklasse ueberschrieben um Visual Editor auszutricksen
    //bei Userformen soll das ContentPane in das zentrale Panelfeld statt unter dem
    //Menue gelegt werden
    @Override public void setContentPane(final Container contentPane) {
		if((this.jPanelHauptLayout == null)||(this.jPanelHauptLayout == contentPane)){
			super.setContentPane(contentPane);
		}else{
			this.jPanelHauptLayout.add(contentPane, java.awt.BorderLayout.CENTER);
		}
	}

//=============================================================================

    /**
     * this is package private and should only be called once by the class Main
     * this very package only
     * @return Returns the messageReceiver.
     */
    final ISetMessage getMessageReceiver() {
        return this.messageReceiver;
    }

    /**Zum Ueberschreiben fuer den ServerFrame z.B. "return super() && this.notKleinsteGroesse();" */
	protected boolean calcFrameHasLargeHeight() {
		final int statusHeight = Math.max(26, this.getJToolBarStatus().getHeight());
		final int  frameHeight =   this.getHeight();
		final boolean  largeHeight = (frameHeight > 8 * statusHeight);
		return largeHeight;
	}
	protected void hideStatusBarForSmallFrameHeight() {
		this.getJToolBarStatus().setVisible(calcFrameHasLargeHeight());
	}

    private final void initializePopUpMgr(){
    	final IPopupMenuMgr popUpMenuMgr = getPopUpMenuMgr();
		popUpMenuMgr.register(MstPrintForm.getMenuPrintDefaultPrinter(this));
    	//Logger.SWFW.info("Logbuchname: " + getMstApp().getMaschine().logBuchName);
    	popUpMenuMgr.register(MstPrintForm.getMenuPrintDefaultLogbookPrinter(this, getMstApp().getMaschineMgr()));
    	popUpMenuMgr.addSeparator();
		for (final JRadioButtonMenuItem menuItem : getMenusMaschine().getJRadioButtonMenuItemMaschine()) {
			popUpMenuMgr.register(menuItem);
		}
		popUpMenuMgr.addSeparator();
		popUpMenuMgr.register(this.jMenuHelp);
    }

	private MenusMaschine getMenusMaschine() {return this.menusMaschine;}
//=============================================================================
	/**only for junit tests*/
	@SuppressWarnings({ "deprecation", "static-access" }) private static boolean noSpider() {
		return ParamDecoder._ImplementationSwitches.DEBUGSWITCHES.LOCALSECURITY.NOSPIDER.isOn();
	}
	/**only for junit tests*/
	@SuppressWarnings("deprecation") private static boolean noCamFrameControl() {
		return ParamDecoder._ImplementationSwitches.DEBUGSWITCHES.NOCAMFRAMECONTROL.isOn();
	}

}  //  @jve:decl-index=0:visual-constraint="27,6"
