/**
 * 
 * Last changed: $Date$
 * By: $Author$
 * URL: $HeadURL$
 * $Revision$ 
 *
 */
package de.desy.mst.libs.framework.mstapp.appinf.client;

import java.io.IOException;


/**
 * @author labudda
 *
 */
class DownloadEngineDelegated extends Delegated {
	DownloadEngineDelegated(){
		super(DownloadEngineDelegated.getDelegatedClass());
	}

	/**
	 * @return
	 */
	private static Object getDelegatedClass() {
		try {
			return Class.forName("com.sun.deploy.net.DownloadEngine");
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
			return e;
		}
	}
	
	java.io.File getCachedShortcutImage(java.net.URL resourceURL, String versionString) throws IOException {
		return (java.io.File) this.getDelegatedResult("getCachedShortcutImage", new Object[] {resourceURL, versionString});
	}

}
