/**
 * Apr 18, 2008 - Apr 21, 2008	ws:	Creation from scratch
 * Jun 20, 2008 - Jun 20, 2008	ws: about jetzt von Raimund in html
 * Oct 21, 2008 - Oct 21, 2008	ws: added HyperlinkListener
 * 									extend JDialogWithCloseOnEscape statt JDialog
 * Feb 23, 2009	- Feb 23, 2009	ws:	deprecated entire class
 */
package de.desy.mst.libs.framework.mstapp.hilfe;

import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JEditorPane;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.ScrollPaneConstants;
import javax.swing.event.HyperlinkEvent;
import javax.swing.event.HyperlinkListener;

import de.desy.mst.libs.framework.mstapp.Screen;
import de.desy.mst.libs.framework.mstapp.logging.Logger;
import de.desy.mst.libs.framework.mstapp.util.gui.JDialogWithCloseOnEscape;

/**
 * Fuer die about box zeigt innerhalb von Java diese minimale Hilfe an.
 * @author ws
 * @version 1.0.0
 * @deprecated	replaced by DialogShowingHTML.createDialogShowingURI(...)
 */
@Deprecated class DialogShowingURI extends JDialogWithCloseOnEscape{
	private static final long serialVersionUID = 1L;
//=============================================================================
	public DialogShowingURI(final String title, final String sUri) {
		super((JFrame)null, title, true);	//owner, title, modal
		initialize(title, sUri);
	}
//=============================================================================
	private void initialize(final String title, final String sUri) {
		this.setTitle(title);
		Screen.QUARTER.BOTTOM_LEFT.setBoundsOnComponent(this);
		Screen.center(this);

		final Container pane = getRootPane();
		pane.setLayout(new BoxLayout(pane, BoxLayout.Y_AXIS));
		pane.add(createContent(sUri));
		pane.add(createButtonPanel());
	}
	private Component createContent(final String sUri) {
		final JPanel panel = new JPanel(new BorderLayout());
		JEditorPane editorPane;
			try {
				editorPane = new JEditorPane(sUri);
				Logger.SWFW.info("ffne About/Info Link: '" + sUri + "'.");
			} catch (final java.io.IOException e) {
				final String msg = "Kann nicht erzeugen: '" + sUri + "'";
				Logger.SWFW.warn(msg);
				editorPane = new JEditorPane("text/html", msg);
			}
			editorPane.setToolTipText("About (Info) Link: " + sUri);
			editorPane.setEditable(false);
			editorPane.addHyperlinkListener(new HyperlinkListener(){
				@Override public void hyperlinkUpdate(final HyperlinkEvent evt) {
					if(evt.getEventType() != HyperlinkEvent.EventType.ACTIVATED)
						return;
					final String sUri = evt.getDescription();
					HelpMgr.show(sUri);	//extern anzeigen
				}
			});

		final JScrollPane scrollPane = new JScrollPane(editorPane, ScrollPaneConstants.VERTICAL_SCROLLBAR_AS_NEEDED, ScrollPaneConstants.HORIZONTAL_SCROLLBAR_AS_NEEDED);
		panel.add(scrollPane, BorderLayout.CENTER);
		return panel;
	}
	private Component createButtonPanel() {
		final JPanel panel = new JPanel();
		panel.setLayout(new BoxLayout(panel, BoxLayout.X_AXIS));
		panel.setAlignmentX(Component.RIGHT_ALIGNMENT);

			final JButton button = new JButton("Schliessen (Zurck)");
			button.setAlignmentX(Component.RIGHT_ALIGNMENT);
			button.addActionListener(new ActionListener(){
				/* (non-Javadoc)
				 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
				 */
				@Override public void actionPerformed(final ActionEvent e) {
					DialogShowingURI.this.dispose();
				}
			});
		panel.add(button);
		return panel;
	}
}
