/**
 *  Created on	Oct 24, 2005 - Oct 24, 2005
 *  Feb 01, 2006 - Feb 06, 2006	filter unterstuetzen
 *  Jun 06, 2007 - ...			ws:	XTor auch mit explizitem hauptLogFilter
 *  Oct 14, 2008 - Oct 27, 2008	ws: added:	registerPreference(...)
 */
package de.desy.mst.libs.framework.mstapp.logging.appender;

import de.desy.mst.libs.framework.mstapp.logging.ILogFormatter;
import de.desy.mst.libs.framework.mstapp.logging.filter.HauptLogFilter;

/**
 * Abstract Mst Logging Appender mit Formatierung fuer Text Output
 * @author ws
 * @version 1.0.0
 */
public abstract class ALogAppenderFormatted extends ALogAppender {
	private final ILogFormatter  logFormatter;
//=============================================================================
	public ALogAppenderFormatted(final ILogFormatter formatter, final HauptLogFilter hauptLogFilter) {
		super(hauptLogFilter);
		this.logFormatter   = formatter;
	}
	public ALogAppenderFormatted(final ILogFormatter formatter) {
		this(formatter, new HauptLogFilter());
	}
//=============================================================================
	public final ILogFormatter getLogFormatter() {return this.logFormatter;}
}
