/**
 * 	Aug 6, 2010 - Aug 6, 2010	ws:	created from scratch
 */
package de.desy.mst.libs.info.appadmin;

import de.desy.mst.libs.info.appadmin.AppAdmin.IExceptionNotification;

/**
 * @author ws
 */
class _ExceptionNotification implements IExceptionNotification {
	private final String  queueName;
	private final boolean isTestNotification;
	//-------------------------------------------------------------------------
	public _ExceptionNotification(final String queueName){this(queueName, false);}
	public _ExceptionNotification(final String queueName, final boolean isTestNotification) {
		this.queueName = queueName;
		this.isTestNotification = isTestNotification;
	}
	//-------------------------------------------------------------------------
	@Override public void fireNewException(final String sException) {
		createSender().send(createExcMsg(sException));	
	}
	//-------------------------------------------------------------------------
	private _MsgSenderJMSQueue createSender() {
		return new _MsgSenderJMSQueue(this.queueName);
	}
	private _Msg createExcMsg(final String sException) {
		final _Msg msg = new _Msg(new _ExceptionEntry(sException));
		msg.setTestMsg(this.isTestNotification);
		return msg;
	}
}
