/**
 * 
 */
package de.desy.mst.libs.ser.launcher.cache;

import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author labudda
 * Result in case of error creating process 
 */
public final class InvalidProcess extends java.lang.Process {
	/**
	 * creating a singleton
	 */
	public final static java.lang.Process Null = new InvalidProcess();
	private InvalidProcess(){}
	/* (non-Javadoc)
	 * @see java.lang.Process#getOutputStream()
	 */
	@Override
	public OutputStream getOutputStream() {
		return null;
	}

	/* (non-Javadoc)
	 * @see java.lang.Process#getInputStream()
	 */
	@Override
	public InputStream getInputStream() {
		return null;
	}

	/* (non-Javadoc)
	 * @see java.lang.Process#getErrorStream()
	 */
	@Override
	public InputStream getErrorStream() {
		return null;
	}

	/* (non-Javadoc)
	 * @see java.lang.Process#waitFor()
	 */
	@Override
	public int waitFor() throws InterruptedException {
		return this.exitValue();
	}

	/* (non-Javadoc)
	 * @see java.lang.Process#exitValue()
	 */
	@Override
	public int exitValue() {
		/**
		 * There was no normal termination in any case
		 */
		final int terminaltionCode = -1;
		return terminaltionCode;
	}

	/* (non-Javadoc)
	 * @see java.lang.Process#destroy()
	 */
	@Override
	public void destroy() {
	}
	
}