/*
 * Created on Apr 2, 2009
 *
 */
package de.desy.mst.libs.ser.tclientlib;

import de.desy.mst.libs.ser.tclientlib.utils.TineQueryUtils;
import de.desy.mst.libs.ser.tclientlib.utils.TineStringUtils;

/**
 * Utilities used in this library.
 * 
 * This class is deprecated. Please use new classes in utils package instead.
 * 
 * @author jwlg
 */
@Deprecated
public class TClientUtils {

    // TODO Remove this class in 1.6, put methods in utils/StringUtils and utils/TineServiceUtils!
    
    /**
     * Removes trailing '0' from a string. TINE sometimes does not strip
     * trailing zeros when it converts a C string into a Java String. This
     * method ensures that this is done properly.
     * 
     * @param inputString
     *            Input string.
     * 
     */
        public static String removeTrailingZero(String inputString) {
            return TineStringUtils.getInstance().removeTrailingZero(inputString);
    }

    /**
     * Removes trailing '0' from a string. TINE sometimes does not strip
     * trailing zeros when it converts a C string into a Java String. This
     * method ensures that this is done properly.
     * 
     * @param inputChars
     *            Input string as character array.
     */
        public static String convertToString(char[] inputChars) {
            return TineStringUtils.getInstance().convertToString(inputChars);
    }

    /**
     * Queries the output array size from the device server. This works only if
     * the property is not overloaded.
     * 
     * @return The array size of the property.
     */
    // TODO moved to TineQueryUtils.getPropertyArraySize()
    public static int queryArraySize(TLinkAddress linkAddress) throws TineLinkException {
        return TineQueryUtils.getInstance().getPropertyArraySize(linkAddress);
    }

}
